| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::BodyParameter Class Reference

AbstractParameterObject specialization for `"body"` parameters. More...

Inheritance diagram for Swagger::BodyParameter:
[legend]

## Public Member Functions
| check (bool serialize, bool request, string path, string method, string name, reference< auto > value)
| verifies the parameter in an actual REST API call
| constructor (hash< auto > oh, SwaggerSchema swagger)
| Constructor.
auto | getExampleValue (*hash< string, bool > emap, *string fname)
string | getQoreExample (reference< hash< RestQoreExampleCodeInfo > > rv)
| generates Qore example code for a REST API call
Public Member Functions inherited from Swagger::AbstractParameterObject
abstract | check (bool serialize, bool request, string path, string method, string name, reference value)
| verifies the parameter in an actual REST API call
| constructor (hash< auto > oh, *int opt_flags)
| Constructor.
auto | getDefaultValue ()
| returns the default value of the parameter (default: NOTHING)
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
SchemaObject | schema
| Required. The schema defining the type used for the body parameter.
Public Attributes inherited from Swagger::AbstractParameterObject
*string | desc
| A brief description of the parameter. This could contain examples of use. GFM syntax can be used for rich text representation.
string | inLoc
| Required. The location of the parameter.
string | name
| Required. The name of the parameter. Parameter names are case sensitive.
bool | required = False
| Determines whether this parameter is mandatory.
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Additional Inherited Members
Static Public Member Functions inherited from Swagger::AbstractParameterObject
static AbstractParameterObject | newParameter (string name, hash< auto > oh, SwaggerSchema swagger)
| gets a concrete instance of an AbstractParameterObject

## Detailed Description

AbstractParameterObject specialization for `"body"` parameters.

## Member Function Documentation

## ◆ constructor()

Swagger::BodyParameter::constructor | ( | hash< auto > | oh,
|  | SwaggerSchema | swagger )

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing a body parameter
  swagger | the REST schema for resolving references

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing

## ◆ getExampleValue()

auto Swagger::BodyParameter::getExampleValue | ( | *hash< string, bool > | emap,
|  | *string | fname )

Parameters

  emap | a hash to ensure that examples are only produced once
  fname | any field context for the value